package com.huawei.hwmdemo.dependency;

import com.huawei.hwmconf.sdk.dependency.IConfLinkHandle;
import com.huawei.hwmconf.sdk.model.conf.entity.ConfInfo;

/**
 * 功能描述
 * 自定义分享链接
 * @since 2021-02-19
 */
public class CustomConfLinkHandle implements IConfLinkHandle {
    @Override
    public String buildConfLink(ConfInfo confInfo) {
        StringBuilder sb = new StringBuilder();
        //会议邀请链接
        String confGuestUri = confInfo.getConfGuestUri();
        sb.append("原始链接:").append(confGuestUri).append("，");
        sb.append("自定义链接:").append("https://***");

        return sb.toString();
    }
}
